import { Geist, Geist_Mono } from "next/font/google";
import "./globals.css";
import Sidebar from "./components/Sidebar"
import Navbar from "./components/Navbar";

const geistSans = Geist({
  variable: "--font-geist-sans",
  subsets: ["latin"],
});

const geistMono = Geist_Mono({
  variable: "--font-geist-mono",
  subsets: ["latin"],
});

export const metadata = {
  title: "FSPL HrMate",
  description: "Built with Next.js and Appwrite",
};

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <body className={`${geistSans.variable} ${geistMono.variable}`}>
       <div className="flex">
             <Sidebar />
             <div className="flex-1">
               <Navbar />
               <main className="p-4">{children}</main>
             </div>
           </div>
      </body>
    </html>
  );
}
